Bug 117697 - Missing Section icon in Findbar Navigate By drop down and Sidebar Navigator Navigation tool box
Summary: Missing Section icon in Findbar Navigate By drop down and Sidebar Navigator N...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-05-18 21:45 UTC by Jim Raykowski
Modified: 2018-07-13 05:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
missing section icon (220.60 KB, image/png)
2018-05-18 21:45 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-05-18 21:45:47 UTC
Created attachment 142194 [details]
missing section icon

Noticed a missing icon for Section navigation 

Version: 6.1.0.0.alpha1+
Build ID: 25eddbb2cf56a5a24892a7023862fdb5ea23d38d
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Dieter 2018-05-19 12:14:26 UTC
I confirm it with

Version: 6.1.0.0.alpha1+ (x64)
Build ID: e1a8338876bd161de4e9d9a4b22d4bc5335f7cee
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-18_23:55:37
Locale: de-DE (de_DE); Calc: CL



but not with

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 775d0f26beecffccf3ed27a6a011aff20d91f842
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_01:05:25
Locale: en-US (de_DE); Calc: CL
Comment 2 raal 2018-05-22 16:01:57 UTC
This seems to have begun at the below commit.
Adding Cc: to Heiko Tietze ; Could you possibly take a look at this one?
Thanks

 79681af91c1e4bf5b3f60619eae32525493ca40f is the first bad commit
commit 79681af91c1e4bf5b3f60619eae32525493ca40f
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat May 5 10:28:16 2018 +0200

    source sha:60413c9800c27f53c1108015b50754b065bc98c6
author	heiko tietze <tietze.heiko@gmail.com>	2018-04-18 12:22:07 +0200
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-05-05 10:19:26 +0200
commit 60413c9800c27f53c1108015b50754b065bc98c6 (patch)
tree a0f5a128c529c786c8200ce546a3730997549988
parent f6fb5a17da883e89cae6f7a960266fc87ccc9f6b (diff)
Replace Galaxy icon theme by Colibre
Comment 3 Heiko Tietze 2018-05-23 09:42:54 UTC
We moved to Colibre as ultimate fallback and a few icons may be missing. Andreas fixes those issues quiet quickly in most cases.
Comment 4 andreas_k 2018-05-29 22:48:13 UTC
do someone know the icon name? would help me a lot.
Comment 5 Jim Raykowski 2018-05-30 05:48:35 UTC
(In reply to andreas_k from comment #4)
> do someone know the icon name? would help me a lot.

hope this helps
https://opengrok.libreoffice.org/xref/core/sw/inpec/bitmaps.hlst#66
Comment 6 Jim Raykowski 2018-05-30 05:51:31 UTC
(In reply to Jim Raykowski from comment #5)
> (In reply to andreas_k from comment #4)
> > do someone know the icon name? would help me a lot.
> 
> hope this helps
> https://opengrok.libreoffice.org/xref/core/sw/inpec/bitmaps.hlst#66

oops this should work better
https://opengrok.libreoffice.org/xref/core/sw/inc/bitmaps.hlst#66
Comment 7 Commit Notification 2018-07-12 10:15:47 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6dc541a59a22c59d23c43c3dfcf8ef2c96095a6

tdf#117697 add missing section icon in search

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-07-12 14:06:47 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f900385503f3b0b8d045fd6c2256d2e2c78f0d4&h=libreoffice-6-1

tdf#117697 add missing section icon in search

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jim Raykowski 2018-07-13 05:55:45 UTC
thanks andreas